import java.util.Date;
import org.quartz.CronTrigger;
import org.quartz.JobDetail;
import org.quartz.Scheduler;
import org.quartz.SchedulerFactory;

public class BackUpScheduler {
    public static void BackUpScheduler(SchedulerFactory sf) 
        throws Exception {

        Scheduler sched = sf.getScheduler();

        JobDetail job1
            = new JobDetail("APServer", 
                            "group1", 
                            APServerFullBackUpJob.class);
        JobDetail job2
            = new JobDetail("DBServer", 
                            "group1", 
                            DBServerFullBackUpJob.class);

        CronTrigger cTrigger1 
            = new CronTrigger("Trigger1", 
                              "group1", 
                               "0 0 1 * * ?");
        CronTrigger cTrigger2 
            = new CronTrigger("Trigger2", 
                              "group1", 
                               "0 30 1 * * ?");

        Date  ft1 = sched.scheduleJob(job1, cTrigger1);
        Date  ft2 = sched.scheduleJob(job2, cTrigger2);
	
        sched.start();

        try {
            Thread.sleep(30L * 1000L); 
        } catch (Exception e) {
        }

        sched.shutdown(true);
    }

    public static void main(String[] args) throws Exception {
        try {
            BackUpScheduler(new org.quartz.impl.StdSchedulerFactory());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
